---
iconImage: images/omnipresence.png
appName: OmniPresence
platform: Mac
marketingName: OmniPresence
subheading: Release Notes: What's new, updated, or fixed
feedbackEmail: omnipresence@omnigroup.com
svn-header: $Header: svn+ssh://source.omnigroup.com/Source/svn/Omni/tags/OmniPresence/1.4.1/GM-v11.10/OmniGroup/Applications/OmniPresence/Source/MessageOfTheDay.md 250506 2015-12-01 17:15:32Z bungi $
test: false
key_html: <div class="key"><ul><li class="new">New</li><li class="updated">Updated</li><li class="fixed">Fixed</li></ul></div>
archive: 
---


## Welcome to OmniPresence

OmniPresence v1.4.1 requires Mac OS X v10.10 or later.

We'd love to hear from you! You can reach us by using **Contact Omni** in the OmniPresence menu, or by sending email to [omnipresence@omnigroup.com](mailto:omnipresence@omnigroup.com?subject=Re:%20OmniPresence%20v1.2%20Release%20Notes).


<h2 id="recent">Recent Changes</h2>

### {class:key} Version 1.4.1 --- Tuesday, December 1, 2015
- fixed - **Crash** --- Avoid a crash when there are unexpected errors selecting a folder for the sync location.

### {class:key} Version 1.4 --- Monday, May 11, 2015
- fixed - **Crash** --- Fixed a crash that could happen when launching OmniPresence by opening a omnipresence-config file.
- fixed - **Crash** --- Fixed a potential crash when closing the About panel.
- fixed - **Crash** --- Fixed a rare crash when doing a software update check.
- fixed - **Crash** --- Fixed a crash when attempting to sync with a WebDAV server that doesn't return ETag values.
- fixed - **Setup** --- When performing WebDAV conformance checks, retry tests that fail due to timeout a few times. This should help configuring OmniPresence when the link to your server is slow.
- fixed - **Setup** --- We no longer clear your previously entered credentials during setup if you opt to retry a failed conformance test (possibly due to timing out).
- fixed - **Logging** --- Fixed repeated archiving of "Archived bookmark data was flagged as stale..." messages.


### {class:key} Version 1.3 --- Wednesday, March 4, 2015

- updated - **Performance** --- Improved use of previous redirects during WebDAV operations to avoid extra round trips with the server.
- fixed - **Login Item** --- Fixed a problem where the "Open at Login" support would attempt to launch the copy of OmniPresence in the trash after a software update.
- fixed - **Error Handling** --- Fixed a data loss bug that could occur rarely if the sandboxing system starts denying access to portions of your synchronized folder.
- fixed - **Error Handling** --- Fixed a problem where the menu item would sometimes not show an error indicator when one of the synchronized folders couldn't be synchronized.
- fixed - **Setup** --- OmniPresence will no longer let you put one synchronized folder inside another.
- fixed - **Last Sync** --- The "Last Sync" date should no longer say "None" when launched.
- fixed - **Server Clean-Up** --- OmniPresence now cleans up old versions of files on the server in some cases it didn't before.

### {class:key} Version 1.2 --- Wednesday, October 29, 2014

- new - **Yosemite interface** --- Updated the app interface and the icons for synced folders to look more at home on Yosemite.
- new - **Yosemite Dark Mode** --- Updated the menu bar icon to display properly when using Yosemite's Dark Mode, and updated the main window's appearance to be more usable in dark mode.
- updated - **Auto-Sync** --- Made auto-syncing happen more reliably when changes are synced to the same cloud location from another device on the same network.
- fixed - **Error Handling** --- If too many attempts are made to transfer a file, OmniPresence will now pause syncing and offer to report the error.
- fixed - **Conflicts** --- OmniPresence no longer permanently renames files when there is a conflict. Instead, each client locally renames the files and doesn't send those renames to the server (which could cause extra conflicts in heavy usage cases). If you rename one of the files that is in conflict, that file gets renamed on the server as well and other clients will see that name. If there is only one version of a file left in conflict (maybe you deleted the other conflicting versions or renamed them to something else), OmniPresence will rename it back to the original user-specified name.
- fixed - **Spurious conflicts** --- Fixed an issue where OmniPresence would treat an interrupted network connection as a failure, and if it turns out the operation actually succeeded it would treat that as a conflict (since it didn't think it made that change itself).  This should make syncing much more reliable when syncing over slow (or distant) networks.
- fixed - **Simultaneous setup** --- OmniPresence conformance tests will no longer fail when more than one device is performing those tests at the same time.
- fixed - **Open at Login** --- Fixed some cases where the "Open at Login" menu item wouldn't work properly.
- fixed - **Crash** --- Fixed a crash that could happen when updating the settings for a cloud location.

### {class:key} Version 1.1 --- Tuesday, November 12, 2013

- updated - **App Icon** --- OmniPresence has a new application icon.
- fixed - **Server Clean-Up** --- OmniPresence will now correctly clean up temporary files left on the server during previous syncs.
- fixed - **Misc** --- Many smaller fixes and improvements.

### {class:key} Version 1.0.2 --- Thursday, August 1, 2013

- updated - **Encryption** --- When OmniPresence is configured to use an encrypted https:// connection to a server, it will now ignore any location headers from that server that tell it to switch to unencrypted http://. Our assumption is that your configuration choice indicates that you want all sync operations to be encrypted, and that any servers which redirect to unencrypted http:// locations for these resources are simply misconfigured. 


### {class:key} Version 1.0.1 --- Friday, June 14, 2013

- fixed - **Hopefully Fixed Our Most Frequent Crash** --- OmniPresence has been remarkably stable, but we've seen a few reports of it crashing in the background when it tries to access the keychain to authenticate a sync operation with the server. We haven't been able to reproduce this on demand, but we're guessing that some of the operating system's keychain code might not be thread-safe. We've rearranged our code to look up credentials from the main thread to see if that fixes the problem.
- fixed - **Sync on Wake** --- OmniPresence will always try to sync when the computer wakes from sleep, not just when it's prompted by a network state change.
- fixed - **Conformance Tests** --- Improved OmniPresence's server compatibility tests.
- fixed - **Error Messages and Crash Reports** --- OmniPresence's error messages now include more information so that our Support Humans can assist in troubleshoooting.
- fixed - **Smaller Fixes and Improvements**